Bug 529517 - Review Request: kcm_touchpad - Synaptics driver based touchpads kcontrol module
Summary: Review Request: kcm_touchpad - Synaptics driver based touchpads kcontrol module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 527860 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-18 01:04 UTC by Ryan Rix
Modified: 2009-12-03 05:12 UTC (History)
6 users (show)

Fixed In Version: 0.3.0-5.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-03 05:04:38 UTC
jreznik: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ryan Rix 2009-10-18 01:04:00 UTC
Spec URL: http://rrix.fedorapeople.org/kcm_touchpad/kcm_touchpad.spec
SRPM URL: http://rrix.fedorapeople.org/kcm_touchpad/kcm_touchpad-0.2.1-1.fc11.src.rpm
Description: 
A KDE System Settings module to to configure synaptics based touchpads.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1752332

[rrix@TheSwan rpmbuild]$ rpmlint RPMS/i586/kcm_touchpad-*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Kevin Kofler will need to sponsor me on kmagnet (BUG:528096) before I can get a CVS request on this package.

Comment 1 Ryan Rix 2009-10-18 01:15:08 UTC
*** Bug 527860 has been marked as a duplicate of this bug. ***

Comment 2 Kevin Kofler 2009-10-26 17:58:11 UTC
FYI, Ryan is sponsored now, so any sponsored contributor can review and approve this package.

Comment 3 Kevin Kofler 2009-10-26 18:00:07 UTC
In any case, the firs thing I notice is that this has redundant "Requires: kdelibs4 >= 4.1 qt4 >= 4.4.0", please remove those. (Those versions have been current since "forever", so the automatic soname deps should be sufficient.)

Comment 4 Jaroslav Reznik 2009-11-02 09:07:35 UTC
(In reply to comment #2)
> FYI, Ryan is sponsored now, so any sponsored contributor can review and approve
> this package.  

Kevin,
I'll take it as I'm now helping some guy on local Linux forum to set up synaptic. I've already asked him not to report bugs/feature requests to forum but to bugzilla or IRC ;-)

Comment 5 Jaroslav Reznik 2009-11-02 14:26:41 UTC
Package name OK
Summary OK
License OK
URL & Sources FIXME
Sources MD5 FIXME (new version, sources URL, see comment)
Buildroot OK
Requires - do not require kdelibs4 >= 4.1 qt4 >= 4.4.0
Description OK
File attributes OK
Documentation installed OK
Desktop file OK (KDE service desktop file, no need for validation)
Changelog OK

Rpmlint
SPEC & SRPM OK
RPMS OK

Builds 
Scratch OK
Local OK

Fixme:
Group should be User Interfaces/Desktops to match other KControl module packages.
New version available - 0.3.0.
Sources URL - http://github.com/mishaaq/kcm_touchpad/tarball/kcm_touchpad-0.3.0 or 
  http://download.github.com/mishaaq-kcm_touchpad-000be4c.tar.gz.
Could you please update package, so I can check missing checks, thanks.
Do not use Requires.

Comment 6 Ryan Rix 2009-11-02 19:36:41 UTC
I will update tonight and post latest SRPM etc.

Thanks Jaroslav :)

Comment 8 Jaroslav Reznik 2009-11-04 08:24:52 UTC
Ryan,
please fix remaining issues - group and source url.

Comment 9 Ryan Rix 2009-11-05 02:58:49 UTC
http://rrix.fedorapeople.org/kcm_touchpad/kcm_touchpad-0.3.0-2.fc12.src.rpm
http://rrix.fedorapeople.org/kcm_touchpad/kcm_touchpad.spec

Source checksum unchanged, no koji scratch build submitted.

Comment 10 Jaroslav Reznik 2009-11-05 09:11:01 UTC
Hmm, looks like http://github.com/mishaaq/kcm_touchpad/tarball/kcm_touchpad-0.3.0 is better Source URL as they do some magic with waitdownload, download URLs... So the question is how to handle correctly GitHub downloads? Could you update it? Sorry, I thought it would work :(

Checksum is OK, once you change Source URL again, I'll approve it. Thanks.

Comment 11 Kevin Kofler 2009-11-05 10:27:13 UTC
That's not a good source URL, as it doesn't have the .tar.bz2. Another issue is that these tarballs are generated on demand and thus don't have reproducible checksums.

I think in this case it's safer to just leave the URL as a comment and add only a specific downloaded tarball as Source0.

We also need to complain to upstream about this, those "autogenerate tarball" features in repository browsers are not intended to serve as a substitute for actual releases!

Comment 12 Kevin Kofler 2009-11-05 10:30:07 UTC
To be more precise, that URL is a redirect, so it can't be used as a Source URL at all. The last component of the Source URL MUST match the file name on disk.

Comment 13 Jaroslav Reznik 2009-11-05 11:10:09 UTC
Checksums are same - these released files are not regenerated, only redirected. That's why asked my question. Maybe bringing it to fedora-devel is now the best we can do regarding this issue. So thanks Kevin, I think your proposed solution with comment is really best right now, but it's not solution as Source URLs are checked occasionaly.

Comment 14 Kevin Kofler 2009-11-05 11:14:06 UTC
Unfortunately, there are several upstream servers where the download URLs are unusable due to weird redirects like that. Our guidelines for source URLs suggest using a comment for the real URL in such cases. Of course this means they can't be automatically checked, but that's just life.

Comment 15 Ryan Rix 2009-11-10 00:16:15 UTC
Apologies, the bugzilla mail fell into my oblivion of an inbox. I am confused in regards to what exactly I should be putting for Source0?

I currently have:
Source0:        http://download.github.com/mishaaq-kcm_touchpad-000be4c.tar.gz

As far as I can tell, this is a direct download (There is not a 301 or anything reported in wget)

Jreznik suggested http://github.com/mishaaq/kcm_touchpad/tarball/kcm_touchpad-0.3.0 which is a 302 to the above Source0

Which should I use to keep this review moving? The folder both of these tar.gz extract to is mishaaq-kcm_touchpad-000be4c leading to ridiculous %setup -q -n mishaaq-kcm_touchpad-000be4c in either case.

This situation in general sucks, and I'll ask upstream to clarify this in the future.

Again, sorry for the delay

Comment 16 Jaroslav Reznik 2009-11-10 08:18:50 UTC
If the first one is a direct download, then I think it's OK to let it there. The second one is better from name point of view - it's in %{name}-%{version} scheme. But it's redirect :( And it extracts to that not very nice directory... It would be nice to ask upstream for real and proper release going with usual release standards.

Other issues are solved, I think I can approve it. Kevin what do you think about letting current sources URL?

Comment 17 Kevin Kofler 2009-11-10 09:50:43 UTC
http://download.github.com/mishaaq-kcm_touchpad-000be4c.tar.gz is the correct Source URL to use.

Comment 18 Jaroslav Reznik 2009-11-10 11:03:16 UTC
Ok, thanks!

APPROVED

Comment 19 Ryan Rix 2009-11-10 13:58:12 UTC
New Package CVS Request
=======================
Package Name: kcm_touchpad
Short Description: Synaptics driver based touchpads kcontrol module
Owners: rrix
Branches: F-10 F-11 F-12
InitialCC:

Comment 20 Kevin Fenzi 2009-11-11 03:41:50 UTC
cvs done.

Comment 21 Fedora Update System 2009-11-12 23:43:14 UTC
kcm_touchpad-0.3.0-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kcm_touchpad-0.3.0-5.fc12

Comment 22 Fedora Update System 2009-11-12 23:43:20 UTC
kcm_touchpad-0.3.0-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kcm_touchpad-0.3.0-5.fc11

Comment 23 Fedora Update System 2009-11-16 07:35:42 UTC
kcm_touchpad-0.3.0-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kcm_touchpad'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11601

Comment 24 Fedora Update System 2009-11-16 07:35:52 UTC
kcm_touchpad-0.3.0-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kcm_touchpad'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11605

Comment 25 Fedora Update System 2009-12-03 05:04:32 UTC
kcm_touchpad-0.3.0-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2009-12-03 05:12:30 UTC
kcm_touchpad-0.3.0-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.